| Irrlicht 3D Engine |

Public Member Functions
irr::scene::ISceneNodeAnimatorFactory Class Reference

Interface for dynamic creation of scene node animators. More...

`#include <ISceneNodeAnimatorFactory.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimatorFactory:

List of all members.

## Public Member Functions

- virtual ISceneNodeAnimator * createSceneNodeAnimator (ESCENE_NODE_ANIMATOR_TYPE type, ISceneNode *target)=0
    creates a scene node animator based on its type id
- virtual ISceneNodeAnimator * createSceneNodeAnimator (const c8 *typeName, ISceneNode *target)=0
    creates a scene node animator based on its type name
- virtual u32 getCreatableSceneNodeAnimatorTypeCount () const =0
    returns amount of scene node animator types this factory is able to create
- virtual ESCENE_NODE_ANIMATOR_TYPE getCreateableSceneNodeAnimatorType (u32 idx) const =0
    returns type of a createable scene node animator type
- virtual const c8 * getCreateableSceneNodeAnimatorTypeName (u32 idx) const =0
    returns type name of a createable scene node animator type
- virtual const c8 * getCreateableSceneNodeAnimatorTypeName (ESCENE_NODE_ANIMATOR_TYPE type) const =0
    returns type name of a createable scene node animator type

## Detailed Description

Interface for dynamic creation of scene node animators.

To be able to add custom scene node animators to Irrlicht and to make it possible for the scene manager to save and load those external animators, simply implement this interface and register it in you scene manager via ISceneManager::registerSceneNodeAnimatorFactory. Note: When implementing your own scene node factory, don't call ISceneNodeManager::grab() to increase the reference counter of the scene node manager. This is not necessary because the scene node manager will grab() the factory anyway, and otherwise cyclic references will be created and the scene manager and all its nodes won't get deallocated.

Definition at line 27 of file ISceneNodeAnimatorFactory.h.

## Member Function Documentation

virtual ISceneNodeAnimator* irr::scene::ISceneNodeAnimatorFactory::createSceneNodeAnimator | ( | ESCENE_NODE_ANIMATOR_TYPE | type,
|  | ISceneNode * | target
| ) |  | `[pure virtual]`

creates a scene node animator based on its type id

Parameters:

  type,: | Type of the scene node animator to add.
  target,: | Target scene node of the new animator.

Returns:
  Returns pointer to the new scene node animator or null if not successful. You need to drop this pointer after calling this, see IReferenceCounted::drop() for details.

virtual ISceneNodeAnimator* irr::scene::ISceneNodeAnimatorFactory::createSceneNodeAnimator | ( | const c8 * | typeName,
|  | ISceneNode * | target
| ) |  | `[pure virtual]`

creates a scene node animator based on its type name

Parameters:

  typeName,: | Type of the scene node animator to add.
  target,: | Target scene node of the new animator.

Returns:
  Returns pointer to the new scene node animator or null if not successful. You need to drop this pointer after calling this, see IReferenceCounted::drop() for details.

virtual u32 irr::scene::ISceneNodeAnimatorFactory::getCreatableSceneNodeAnimatorTypeCount | ( |  | ) | const`[pure virtual]`

returns amount of scene node animator types this factory is able to create

virtual ESCENE_NODE_ANIMATOR_TYPE irr::scene::ISceneNodeAnimatorFactory::getCreateableSceneNodeAnimatorType | ( | u32 | idx | ) | const`[pure virtual]`

returns type of a createable scene node animator type

Parameters:

  idx,: | Index of scene node animator type in this factory. Must be a value between 0 and getCreatableSceneNodeTypeCount()

virtual const c8* irr::scene::ISceneNodeAnimatorFactory::getCreateableSceneNodeAnimatorTypeName | ( | u32 | idx | ) | const`[pure virtual]`

returns type name of a createable scene node animator type

Parameters:

  idx,: | Index of scene node animator type in this factory. Must be a value between 0 and getCreatableSceneNodeAnimatorTypeCount()

virtual const c8* irr::scene::ISceneNodeAnimatorFactory::getCreateableSceneNodeAnimatorTypeName | ( | ESCENE_NODE_ANIMATOR_TYPE | type | ) | const`[pure virtual]`

returns type name of a createable scene node animator type

Parameters:

  type,: | Type of scene node animator.

Returns:
  : Returns name of scene node animator type if this factory can create the type, otherwise 0.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorFactory.h